Summary: A text formatting package based on SGML
Name: linuxdoc-tools
Obsoletes: linuxdoc-sgml
Version: 0.9.21
Release: 3mdk
License: Freely distributable
Group: Publishing
Source: http://people.debian.org/~sano/linuxdoc-tools/archives/%{name}_%{version}.tar.bz2
Patch0: linuxdoc-tools-0.9.13-letter.patch.bz2
Patch1: linuxdoc-tools-0.9.20-strip.patch.bz2
Patch2: linuxdoc-tools-ifpdf.patch.bz2
Requires: jade
Requires: docbook-utils
Url: http://people.debian.org/~sano/linuxdoc-tools/
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires:	flex
BuildRequires:	openjade
BuildRequires:	sgml-common
Requires: tetex-latex gawk groff
Provides: sgml-tools
Provides: linuxdoc-sgml

%description
Linuxdoc-tools is a text formatting suite based on SGML (Standard
Generalized Markup Language), using the LinuxDoc document type.
Linuxdoc-tools allows you to produce LaTeX, HTML, GNU info, LyX, RTF,
plain text (via groff), and other format outputs from a single SGML
source.  Linuxdoc-tools is intended for writing technical software
documentation.

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .strip
%patch2 -p1 -b .ifpdf

%build
%configure --with-installed-nsgmls --with-installed-iso-entities
# Packaging brain-damage
( cd entity-map
  autoconf
  %configure
)
%make OPTIMIZE="$RPM_OPT_FLAGS"
perl -pi -e 's,\$main::prefix/share/sgml/iso-entities-8879.1986/iso-entities.cat,/usr/share/sgml/sgml-iso-entities-8879.1986/catalog,' \
           lib/LinuxDocTools.pm

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
mv %{buildroot}%{_docdir}/%{name} %{buildroot}%{_docdir}/%{name}-%{version}
perl -pi -e 's,/usr/share/sgml/iso-entities-8879.1986/iso-entities.cat,\$main::prefix/share/sgml/sgml-iso-entities-8879.1986/catalog,' \
           %{buildroot}%{_datadir}/%{name}/LinuxDocTools.pm

# Some files need moving around.
rm -f %{buildroot}%{_datadir}/%{name}/epsf.*
rm -f %{buildroot}%{_datadir}/%{name}/url.sty
install -d %{buildroot}%{_datadir}/texmf/tex/latex/misc
mv %{buildroot}%{_datadir}/%{name}/*.sty \
	%{buildroot}%{_datadir}/texmf/tex/latex/misc

# Move perl modules to perl_vendorlib
mkdir -p $RPM_BUILD_ROOT%{perl_vendorlib}/Text
mv $RPM_BUILD_ROOT%{_libdir}/perl5/Text/EntityMap.pm \
	$RPM_BUILD_ROOT%{perl_vendorlib}/Text/

cat > doc/COPYRIGHT <<EOF
(C) International Organization for Standardization 1986
Permission to copy in any form is granted for use with
conforming SGML systems and applications as defined in
ISO 8879, provided this notice is included in all copies.
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ -x %{_bindir}/texhash ] && /usr/bin/env - %{_bindir}/texhash > /dev/null 2>&1
exit 0

%postun
[ -x %{_bindir}/texhash ] && /usr/bin/env - %{_bindir}/texhash > /dev/null 2>&1
exit 0

%files
%defattr (-,root,root)
%doc %{_docdir}/%{name}-%{version}
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/entity-map
%{_datadir}/texmf/tex/latex/misc/*.sty
%{perl_vendorlib}/Text/*.pm
%{_mandir}/*/*

%changelog
* Wed Mar 23 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.9.21-3mdk
- Added Patch2, for having pdflatex detection more robust.

* Tue Oct 26 2004 Camille Begnis <camille@mandrakesoft.com> 0.9.21-2mdk
- Rebuild
- Source URL is broken, can't find any.

* Fri Aug  8 2003  <camille@ke.mandrakesoft.com> 0.9.21-1mdk
- 0.9.21
- removed Obsoletes: sgml-tools
- added Requires: docbook-utils

* Tue Jul 22 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.9.20-5mdk
- rebuild

* Mon Jul 29 2002 Stefan van der Eijk <stefan@eijk.nu> 0.9.20-4mdk
- BuildRequires

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 0.9.20-3mdk
- rebuild for perl 5.8.0

* Mon Jul  8 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.9.20-2mdk
- Use perl_vendorlib for perl modules

* Tue Jun 26 2002  <camille@mandrakesoft.com> 0.9.20-1mdk
- got spec and patches from RedHat
